Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
View and activate your on-chain wallet
curl https://api.midasprotocol.org/wallets/blockchain \ -H "Authorization: Bearer pp_your_key"
{ "configured": true, "network": "base", "address": "0x...", "onChainBalances": { "USDC": "100.00", "ETH": "0.001" }, "depositInfo": { "address": "0x...", "network": "base", "supportedTokens": ["USDC"] } }
curl -X POST https://api.midasprotocol.org/wallets/activate-blockchain \ -H "Authorization: Bearer pp_your_key"
{ "status": "activated", "blockchainAddress": "0x...", "network": "base", "depositInfo": { ... } }